// @APIVersion 1.0.0
// @Title oc-aggregator
// @Description OpenCloud distributed search aggregation service
// @Contact admin@o-cloud.io
// @TermsOfServiceUrl http://cloud.o-forge.io/
// @License AGPL
// @LicenseUrl https://www.gnu.org/licenses/agpl-3.0.html
package routers

import (
	"oc-aggregator/controllers"

	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	ns := beego.NewNamespace("/oc",
		beego.NSNamespace("/search",
			beego.NSInclude(
				&controllers.SearchController{},
			),
		),
	)
	beego.AddNamespace(ns)
}
