package models

import "sync"

type Config struct {
	ZincUrl       string
	ZincLogin     string
	ZincPassword  string
	RedisUrl      string
	RedisPassword string
	DiscoveryUrl  string
}

var instance *Config
var once sync.Once

func GetConfig() *Config {
	once.Do(func() {
		instance = &Config{}
	})
	return instance
}
