package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["oc-aggregator/controllers:SearchController"] = append(beego.GlobalControllerRouter["oc-aggregator/controllers:SearchController"],
        beego.ControllerComments{
            Method: "Post",
            Router: "/",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-aggregator/controllers:SearchController"] = append(beego.GlobalControllerRouter["oc-aggregator/controllers:SearchController"],
        beego.ControllerComments{
            Method: "Get",
            Router: "/:query",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-aggregator/controllers:SearchController"] = append(beego.GlobalControllerRouter["oc-aggregator/controllers:SearchController"],
        beego.ControllerComments{
            Method: "GetProgress",
            Router: "/progress/:searchId",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-aggregator/controllers:SearchController"] = append(beego.GlobalControllerRouter["oc-aggregator/controllers:SearchController"],
        beego.ControllerComments{
            Method: "GetResults",
            Router: "/results/:searchId",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
